Distribution:   CCux
Packager:	Karsten Brockmann <arcam@ccux-linux.de>

Summary:	Cartographic Projections Library
Name:		proj
Version:	4.7.0
Release:	1
License:	MIT
URL:		http://www.remotesensing.org/proj/
Group:		Navigation
Source0:	%{name}-%{version}.tar.gz
BuildRoot:	%{_tmppath}/%{name}-buildroot
BuildRequires:  glibc-devel

%description
PROJ.4 is a cartographic projections and datum shifting library written in C. PROJ.4 includes support for many (100+) projections, including Transverse Mercator and Lambert Conformal Conic.

%package devel
Summary:        %{name} development headers.
Group:          %{group}
Requires:       %{name} = %{version}-%{release}

%description devel
Header and include files for developing applications with %{name}.

%post
ldconfig

%postun
ldconfig

%prep
%setup -n %{name}-%{version}

%build
%configure
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%_bindir/cs2cs
%_bindir/geod
%_bindir/invgeod
%_bindir/invproj
%_bindir/nad2bin
%_bindir/nad2nad
%_bindir/proj
%_mandir/man1/cs2cs.1.gz
%_mandir/man1/geod.1.gz
%_mandir/man1/nad2nad.1.gz
%_mandir/man1/proj.1.gz
%_mandir/man3/pj_init.3.gz
%_datadir/proj
%_libdir/libproj.so.*

%files devel
%defattr(-,root,root,-)
%_includedir/nad_list.h
%_includedir/org_proj4_Projections.h
%_includedir/proj_api.h
%_includedir/projects.h
%_libdir/libproj.a
%_libdir/libproj.la
%_libdir/libproj.so

%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Thu Oct 15 2009 Karsten Brockmann <arcam@ccux-linux.de> 4.7.0-1
- Version update
* Sun May 11 2008 Karsten Brockmann <arcam@ccux-linux.de> 4.6.0-1
- Initial Release
